%define version 4.7.9
%define release alt0.M41.1
#define snap_date 20051229
#define snap_rel 0

%setup_python_module sip

Summary: Python bindings generator for C++ class libraries
Name: %packagename
Version: %version
License: PSF
Group: Development/Python

%ifdef snap_date
Release: %release.snap%snap_date.%snap_rel
%else
Release: %release
%endif

Source0: %modulename.tar

URL: http://www.riverbankcomputing.co.uk/sip/
Packager: Python Development Team <python@packages.altlinux.org>

Provides: %modulename = %version-%release
Obsoletes: %modulename <= 4.1-alt2.1

BuildPreReq: gcc-c++

Patch0: sip-4.7.3-alt-fix-rpath.diff
Patch1: sip-4.7.3-alt-fix-libpython.diff

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a Python extension module needed by all
generated bindings.

%package devel
Requires: %name = %version-%release
Summary: Header files for sip
Group: Development/Python
Provides: %modulename-devel = %version-%release
%py_package_provides %modulename-devel = %version-%release
Obsoletes: %modulename-devel

%description devel
Header files for sip

%prep
%setup -n %modulename
%patch0 -p1
%patch1 -p1

%build
%__python configure.py -d %python_sitelibdir
%make

%install
make DESTDIR=%buildroot install

%files
%_bindir/*
%python_sitelibdir/*
%doc README ChangeLog NEWS LICENSE

%files devel
%python_includedir/*
%doc doc/*

%changelog
* Tue Nov 25 2008 Evgeny Sinelnikov <sin@altlinux.ru> 4.7.9-alt0.M41.1
- Rebuild for branch 4.1

* Tue Nov 25 2008 Evgeny Sinelnikov <sin@altlinux.ru> 4.7.9-alt1
- New version

* Sun Aug 17 2008 Evgeny Sinelnikov <sin@altlinux.ru> 4.7.6-alt3
- Fixed rpath problem and libpython linking (#14655)

* Tue Aug 05 2008 Evgeny Sinelnikov <sin@altlinux.ru> 4.7.6-alt2
- Push rlz@ build to Sisyphus

* Sat Jun 07 2008 Dmitry M. Maslennikov <rlz at altlinux.org> 4.7.6-alt1
- New version

* Tue Jan 01 2008 Ivan Fedorov <ns@altlinux.org> 4.7.3-alt1
- 4.7.3

* Mon Aug 20 2007 Ivan Fedorov <ns@altlinux.org> 4.7-alt1
- 4.7

* Fri Jul 13 2007 Ivan Fedorov <ns@altlinux.org> 4.6-alt1
- 4.6
- Added support for wchar_t.
- The -g command line option releases the GIL whenever a call is made to
  the wrapped library.
- Added the /HoldGIL/ annotation to explicitly retain the GIL when
  calling a particular function in the wrapped library.
- Added sipFindClass() and sipFindNamedEnum() to the public API.
- /TransferThis/ may be specified more than once.
- Added support for __truediv__ and __itruediv__.
- The SIP code generator and module may be built as universal binaries
  under MacOS/X using the -n command line option to configure.py.

* Thu Dec 28 2006 Ivan Fedorov <ns@altlinux.ru> 4.5.2-alt1
- 4.5.2
- spec clean up (rewrite buildreqs)

* Thu Nov 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.5-alt1
- 4.5

* Mon Jun 12 2006 Ivan Fedorov <ns@altlinux.ru> 4.4.5-alt1
- 4.4.5

* Sun May 28 2006 Ivan Fedorov <ns@altlinux.ru> 4.4.3-alt1
- 4.4.3
- fix #9616

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.4.1-alt1
- 4.4.1

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.4-alt1
- 4.4

* Mon Mar 06 2006 Alexey Morozov <almorozov@altlinux.org> 4.3.2-alt1.0.1
- NMU: fixed provides list for -devel subpackage
- changed XFree86-devel to xorg-x11-devel

* Wed Dec 07 2005 Ivan Fedorov <ns@altlinux.ru> 4.3.2-alt1
- 4.3.2

* Sat Nov 05 2005 Ivan Fedorov <ns@altlinux.ru> 4.3.1-alt1
- 4.3.1

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 4.2.1-alt1
- 4.2.1
- rebuild with python 2.4

* Mon Feb 21 2005 Ivan Fedorov <ns@altlinux.ru> 4.2-alt1
- 4.2

* Thu Jan 27 2005 Ivan Fedorov <ns@altlinux.ru> 4.1.1-alt2
- updating obsoleting of sip

* Tue Jan 04 2005 Ivan Fedorov <ns@altlinux.ru> 4.1.1-alt0.M24.1
- Backport to Master 2.4

* Wed Dec 22 2004 Ivan Fedorov <ns@altlinux.ru> 4.1.1-alt1
- 4.1.1

* Sun Dec 12 2004 Ivan Fedorov <ns@altlinux.ru> 4.1-alt3
- fix spec to be compatible with python policy

* Tue Sep 28 2004 Eugene V. Horohorin <genix@altlinux.ru> 4.1-alt2
- license mistake fix
- spec clean up (using %%python_site_packages_dir instead of old method of %%python_site)

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.org> 4.1-alt1
- new release

* Thu Sep 02 2004 Eugene V. Horohorin <genix@altlinux.ru> 4.0.1-alt1
- new release

* Wed May 19 2004 Serge V. Sergeev <ssv@altlinux.ru> 4.0-alt0.3
- new release

* Mon Feb 16 2004 Serge V. Sergeev <ssv@altlinux.ru> 3.10-alt1
- new release

* Wed Dec 24 2003 Serge V. Sergeev <ssv@altlinux.ru> 3.9-alt2
- add definitionn of QTDIR variable ( need for new build system )

* Thu Dec 11 2003 Serge V. Sergeev <ssv@altlinux.ru> 3.9-alt1
- new release

* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- Increase release for upgrade

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- new release
- correct version

* Fri Dec 06 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- some documentation added in separate package

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Fri Aug 02 2002 Serge Sergeev <sergeyssv@mail.ru> 3.3-alt1
- Clean up spec file

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- some fixes

* Thu Jun 06  2002 <sergeyssv@mail.ru>
- Initial release
